Changeset 1008 for stable/0.4


Ignore:
Timestamp:
Oct 15, 2013 11:46:46 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • stable/0.4/Couenne/configure

    r1003 r1008  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-couenne compile project Couenne with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --enable-static[=PKGS]
    10901087                          build static libraries [default=no]
     
    19141911
    19151912# Get the name of the C++ compiler and appropriate compiler options
    1916 case $build in
     1913
     1914
     1915  # for backward compatibility
     1916  # Check whether --enable-doscompile or --disable-doscompile was given.
     1917if test "${enable_doscompile+set}" = set; then
     1918  enableval="$enable_doscompile"
     1919  enable_doscompile=$enableval
     1920else
     1921  enable_doscompile=no
     1922fi;
     1923
     1924  # Check whether --enable-msvc or --disable-msvc was given.
     1925if test "${enable_msvc+set}" = set; then
     1926  enableval="$enable_msvc"
     1927  enable_msvc=$enableval
     1928else
     1929  enable_msvc=no
     1930     if test "$enable_doscompile" = msvc ; then
     1931       enable_msvc=yes
     1932     elif test "$enable_doscompile" != no ; then
     1933       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1934echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1935   { (exit 1); exit 1; }; }
     1936     fi
     1937
     1938fi;
     1939
     1940  if test "$enable_msvc" = yes; then
     1941    case $build in
     1942      *-cygwin* | *-mingw*) ;;
     1943      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1944echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1945   { (exit 1); exit 1; }; } ;;
     1946    esac
     1947  fi
     1948
     1949
     1950 case $build in
    19171951  *-mingw*)
    19181952    if test "${LD+set}" = set; then :; else
     
    19211955    ;;
    19221956 esac
    1923  case $enable_doscompile in
    1924    msvc)
    1925      if test "x${LD+set}" = xset; then :; else
    1926        LD=link
    1927      fi
    1928      ;;
    1929  esac
    1930 
    1931 
    1932  # Check whether --enable-doscompile or --disable-doscompile was given.
    1933 if test "${enable_doscompile+set}" = set; then
    1934   enableval="$enable_doscompile"
    1935   if test "$enable_doscompile" != no; then
    1936      case $build in
    1937        *-cygwin* | *-mingw*) ;;
    1938        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1939 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1940    { (exit 1); exit 1; }; } ;;
    1941      esac
     1957 if test $enable_msvc = yes ; then
     1958   if test "x${LD+set}" = xset; then :; else
     1959     LD=link
    19421960   fi
    1943 else
    1944   enable_doscompile=no
    1945 fi;
    1946  case "$enable_doscompile" in
    1947    mingw)
    1948      case $build in
    1949        *-mingw*) enable_doscompile=no ;;
    1950      esac
    1951      ;;
    1952    msvc|no) ;;
    1953    yes) enable_doscompile=mingw ;;
    1954    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1955                     Try configure --help=recursive." >&5
    1956 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1957                     Try configure --help=recursive." >&2;}
    1958    { (exit 1); exit 1; }; }
    1959       ;;
    1960   esac
    1961   if test "$enable_doscompile" != no ; then
    1962     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1963 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1964   fi
     1961 fi
    19651962
    19661963
     
    20052002case $build in
    20062003  *-cygwin* | *-mingw*)
    2007              if test "$enable_doscompile" = msvc ; then
    2008                comps="icl cl"
     2004             if test "$enable_msvc" = yes ; then
     2005               comps="icl cl gcc"
    20092006             else
    2010                comps="gcc cl"
     2007               comps="gcc icl cl"
    20112008             fi ;;
    20122009  *-*-solaris*)
     
    28612858            ;;
    28622859        esac
    2863         case $enable_doscompile in
    2864           mingw)
    2865             CFLAGS="-mno-cygwin"
    2866             cat >conftest.$ac_ext <<_ACEOF
    2867 /* confdefs.h.  */
    2868 _ACEOF
    2869 cat confdefs.h >>conftest.$ac_ext
    2870 cat >>conftest.$ac_ext <<_ACEOF
    2871 /* end confdefs.h.  */
    2872 
    2873 int
    2874 main ()
    2875 {
    2876 int i=0; i++;
    2877   ;
    2878   return 0;
    2879 }
    2880 _ACEOF
    2881 rm -f conftest.$ac_objext conftest$ac_exeext
    2882 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2883   (eval $ac_link) 2>conftest.er1
    2884   ac_status=$?
    2885   grep -v '^ *+' conftest.er1 >conftest.err
    2886   rm -f conftest.er1
    2887   cat conftest.err >&5
    2888   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2889   (exit $ac_status); } &&
    2890          { ac_try='test -z "$ac_c_werror_flag"
    2891                          || test ! -s conftest.err'
    2892   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2893   (eval $ac_try) 2>&5
    2894   ac_status=$?
    2895   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2896   (exit $ac_status); }; } &&
    2897          { ac_try='test -s conftest$ac_exeext'
    2898   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2899   (eval $ac_try) 2>&5
    2900   ac_status=$?
    2901   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2902   (exit $ac_status); }; }; then
    2903   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2904 else
    2905   echo "$as_me: failed program was:" >&5
    2906 sed 's/^/| /' conftest.$ac_ext >&5
    2907 
    2908 fi
    2909 rm -f conftest.err conftest.$ac_objext \
    2910       conftest$ac_exeext conftest.$ac_ext
    2911             CFLAGS=
    2912           ;;
    2913         esac
    29142860    esac
    29152861  fi
     
    32523198  clang* ) ;;
    32533199  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3254     case $build in
     3200
     3201 case $build in
    32553202  *-mingw*)
    32563203    if test "${LD+set}" = set; then :; else
     
    32593206    ;;
    32603207 esac
    3261  case $enable_doscompile in
    3262    msvc)
    3263      if test "x${LD+set}" = xset; then :; else
    3264        LD=link
    3265      fi
    3266      ;;
    3267  esac
     3208 if test $enable_msvc = yes ; then
     3209   if test "x${LD+set}" = xset; then :; else
     3210     LD=link
     3211   fi
     3212 fi
    32683213
    32693214    ;;
     
    32983243case $build in
    32993244  *-cygwin* | *-mingw*)
    3300              if test "$enable_doscompile" = msvc ; then
    3301                comps="icl cl"
    3302              else
    3303                comps="g++ cl"
    3304              fi ;;
     3245      if test "$enable_msvc" = yes ; then
     3246         comps="icl cl g++"
     3247      else
     3248         comps="g++ icl cl"
     3249      fi ;;
    33053250  *-*-solaris*)
    33063251             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38103755            ;;
    38113756        esac
    3812 
    3813         case $enable_doscompile in
    3814           mingw)
    3815             CXXFLAGS="-mno-cygwin"
    3816             cat >conftest.$ac_ext <<_ACEOF
    3817 /* confdefs.h.  */
    3818 _ACEOF
    3819 cat confdefs.h >>conftest.$ac_ext
    3820 cat >>conftest.$ac_ext <<_ACEOF
    3821 /* end confdefs.h.  */
    3822 
    3823 int
    3824 main ()
    3825 {
    3826 int i=0; i++;
    3827   ;
    3828   return 0;
    3829 }
    3830 _ACEOF
    3831 rm -f conftest.$ac_objext conftest$ac_exeext
    3832 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3833   (eval $ac_link) 2>conftest.er1
    3834   ac_status=$?
    3835   grep -v '^ *+' conftest.er1 >conftest.err
    3836   rm -f conftest.er1
    3837   cat conftest.err >&5
    3838   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3839   (exit $ac_status); } &&
    3840          { ac_try='test -z "$ac_cxx_werror_flag"
    3841                          || test ! -s conftest.err'
    3842   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3843   (eval $ac_try) 2>&5
    3844   ac_status=$?
    3845   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3846   (exit $ac_status); }; } &&
    3847          { ac_try='test -s conftest$ac_exeext'
    3848   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3849   (eval $ac_try) 2>&5
    3850   ac_status=$?
    3851   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3852   (exit $ac_status); }; }; then
    3853   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3854 else
    3855   echo "$as_me: failed program was:" >&5
    3856 sed 's/^/| /' conftest.$ac_ext >&5
    3857 
    3858 fi
    3859 rm -f conftest.err conftest.$ac_objext \
    3860       conftest$ac_exeext conftest.$ac_ext
    3861             CXXFLAGS=
    3862           ;;
    3863         esac
    38643757    esac
    38653758  fi
     
    42134106  clang* ) ;;
    42144107  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4215     case $build in
     4108
     4109 case $build in
    42164110  *-mingw*)
    42174111    if test "${LD+set}" = set; then :; else
     
    42204114    ;;
    42214115 esac
    4222  case $enable_doscompile in
    4223    msvc)
    4224      if test "x${LD+set}" = xset; then :; else
    4225        LD=link
    4226      fi
    4227      ;;
    4228  esac
     4116 if test $enable_msvc = yes ; then
     4117   if test "x${LD+set}" = xset; then :; else
     4118     LD=link
     4119   fi
     4120 fi
    42294121
    42304122    ;;
     
    42804172case $build in
    42814173  *-cygwin* | *-mingw*)
    4282              if test "$enable_doscompile" = msvc ; then
    4283                comps="icl cl"
     4174             if test "$enable_msvc" = yes ; then
     4175               comps="icl cl gcc"
    42844176             else
    4285                comps="gcc cl"
     4177               comps="gcc icl cl"
    42864178             fi ;;
    42874179  *-*-solaris*)
     
    49354827            ;;
    49364828        esac
    4937         case $enable_doscompile in
    4938           mingw)
    4939             CFLAGS="-mno-cygwin"
    4940             cat >conftest.$ac_ext <<_ACEOF
    4941 /* confdefs.h.  */
    4942 _ACEOF
    4943 cat confdefs.h >>conftest.$ac_ext
    4944 cat >>conftest.$ac_ext <<_ACEOF
    4945 /* end confdefs.h.  */
    4946 
    4947 int
    4948 main ()
    4949 {
    4950 int i=0; i++;
    4951   ;
    4952   return 0;
    4953 }
    4954 _ACEOF
    4955 rm -f conftest.$ac_objext conftest$ac_exeext
    4956 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4957   (eval $ac_link) 2>conftest.er1
    4958   ac_status=$?
    4959   grep -v '^ *+' conftest.er1 >conftest.err
    4960   rm -f conftest.er1
    4961   cat conftest.err >&5
    4962   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4963   (exit $ac_status); } &&
    4964          { ac_try='test -z "$ac_c_werror_flag"
    4965                          || test ! -s conftest.err'
    4966   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4967   (eval $ac_try) 2>&5
    4968   ac_status=$?
    4969   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4970   (exit $ac_status); }; } &&
    4971          { ac_try='test -s conftest$ac_exeext'
    4972   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4973   (eval $ac_try) 2>&5
    4974   ac_status=$?
    4975   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4976   (exit $ac_status); }; }; then
    4977   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    4978 else
    4979   echo "$as_me: failed program was:" >&5
    4980 sed 's/^/| /' conftest.$ac_ext >&5
    4981 
    4982 fi
    4983 rm -f conftest.err conftest.$ac_objext \
    4984       conftest$ac_exeext conftest.$ac_ext
    4985             CFLAGS=
    4986           ;;
    4987         esac
    49884829    esac
    49894830  fi
     
    53265167  clang* ) ;;
    53275168  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    5328     case $build in
     5169
     5170 case $build in
    53295171  *-mingw*)
    53305172    if test "${LD+set}" = set; then :; else
     
    53335175    ;;
    53345176 esac
    5335  case $enable_doscompile in
    5336    msvc)
    5337      if test "x${LD+set}" = xset; then :; else
    5338        LD=link
    5339      fi
    5340      ;;
    5341  esac
     5177 if test $enable_msvc = yes ; then
     5178   if test "x${LD+set}" = xset; then :; else
     5179     LD=link
     5180   fi
     5181 fi
    53425182
    53435183    ;;
     
    71126952*-*-irix6*)
    71136953  # Find out which ABI we are using.
    7114   echo '#line 7114 "configure"' > conftest.$ac_ext
     6954  echo '#line 6954 "configure"' > conftest.$ac_ext
    71156955  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    71166956  (eval $ac_compile) 2>&5
     
    82468086
    82478087# Provide some information about the compiler.
    8248 echo "$as_me:8248:" \
     8088echo "$as_me:8088:" \
    82498089     "checking for Fortran 77 compiler version" >&5
    82508090ac_compiler=`set X $ac_compile; echo $2`
     
    93139153   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93149154   -e 's:$: $lt_compiler_flag:'`
    9315    (eval echo "\"\$as_me:9315: $lt_compile\"" >&5)
     9155   (eval echo "\"\$as_me:9155: $lt_compile\"" >&5)
    93169156   (eval "$lt_compile" 2>conftest.err)
    93179157   ac_status=$?
    93189158   cat conftest.err >&5
    9319    echo "$as_me:9319: \$? = $ac_status" >&5
     9159   echo "$as_me:9159: \$? = $ac_status" >&5
    93209160   if (exit $ac_status) && test -s "$ac_outfile"; then
    93219161     # The compiler can only warn and ignore the option if not recognized
     
    95819421   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95829422   -e 's:$: $lt_compiler_flag:'`
    9583    (eval echo "\"\$as_me:9583: $lt_compile\"" >&5)
     9423   (eval echo "\"\$as_me:9423: $lt_compile\"" >&5)
    95849424   (eval "$lt_compile" 2>conftest.err)
    95859425   ac_status=$?
    95869426   cat conftest.err >&5
    9587    echo "$as_me:9587: \$? = $ac_status" >&5
     9427   echo "$as_me:9427: \$? = $ac_status" >&5
    95889428   if (exit $ac_status) && test -s "$ac_outfile"; then
    95899429     # The compiler can only warn and ignore the option if not recognized
     
    96859525   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96869526   -e 's:$: $lt_compiler_flag:'`
    9687    (eval echo "\"\$as_me:9687: $lt_compile\"" >&5)
     9527   (eval echo "\"\$as_me:9527: $lt_compile\"" >&5)
    96889528   (eval "$lt_compile" 2>out/conftest.err)
    96899529   ac_status=$?
    96909530   cat out/conftest.err >&5
    9691    echo "$as_me:9691: \$? = $ac_status" >&5
     9531   echo "$as_me:9531: \$? = $ac_status" >&5
    96929532   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    96939533   then
     
    1203011870  lt_status=$lt_dlunknown
    1203111871  cat > conftest.$ac_ext <<EOF
    12032 #line 12032 "configure"
     11872#line 11872 "configure"
    1203311873#include "confdefs.h"
    1203411874
     
    1213011970  lt_status=$lt_dlunknown
    1213111971  cat > conftest.$ac_ext <<EOF
    12132 #line 12132 "configure"
     11972#line 11972 "configure"
    1213311973#include "confdefs.h"
    1213411974
     
    1447414314   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1447514315   -e 's:$: $lt_compiler_flag:'`
    14476    (eval echo "\"\$as_me:14476: $lt_compile\"" >&5)
     14316   (eval echo "\"\$as_me:14316: $lt_compile\"" >&5)
    1447714317   (eval "$lt_compile" 2>conftest.err)
    1447814318   ac_status=$?
    1447914319   cat conftest.err >&5
    14480    echo "$as_me:14480: \$? = $ac_status" >&5
     14320   echo "$as_me:14320: \$? = $ac_status" >&5
    1448114321   if (exit $ac_status) && test -s "$ac_outfile"; then
    1448214322     # The compiler can only warn and ignore the option if not recognized
     
    1457814418   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1457914419   -e 's:$: $lt_compiler_flag:'`
    14580    (eval echo "\"\$as_me:14580: $lt_compile\"" >&5)
     14420   (eval echo "\"\$as_me:14420: $lt_compile\"" >&5)
    1458114421   (eval "$lt_compile" 2>out/conftest.err)
    1458214422   ac_status=$?
    1458314423   cat out/conftest.err >&5
    14584    echo "$as_me:14584: \$? = $ac_status" >&5
     14424   echo "$as_me:14424: \$? = $ac_status" >&5
    1458514425   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1458614426   then
     
    1614815988   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1614915989   -e 's:$: $lt_compiler_flag:'`
    16150    (eval echo "\"\$as_me:16150: $lt_compile\"" >&5)
     15990   (eval echo "\"\$as_me:15990: $lt_compile\"" >&5)
    1615115991   (eval "$lt_compile" 2>conftest.err)
    1615215992   ac_status=$?
    1615315993   cat conftest.err >&5
    16154    echo "$as_me:16154: \$? = $ac_status" >&5
     15994   echo "$as_me:15994: \$? = $ac_status" >&5
    1615515995   if (exit $ac_status) && test -s "$ac_outfile"; then
    1615615996     # The compiler can only warn and ignore the option if not recognized
     
    1625216092   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1625316093   -e 's:$: $lt_compiler_flag:'`
    16254    (eval echo "\"\$as_me:16254: $lt_compile\"" >&5)
     16094   (eval echo "\"\$as_me:16094: $lt_compile\"" >&5)
    1625516095   (eval "$lt_compile" 2>out/conftest.err)
    1625616096   ac_status=$?
    1625716097   cat out/conftest.err >&5
    16258    echo "$as_me:16258: \$? = $ac_status" >&5
     16098   echo "$as_me:16098: \$? = $ac_status" >&5
    1625916099   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1626016100   then
     
    1845918299   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1846018300   -e 's:$: $lt_compiler_flag:'`
    18461    (eval echo "\"\$as_me:18461: $lt_compile\"" >&5)
     18301   (eval echo "\"\$as_me:18301: $lt_compile\"" >&5)
    1846218302   (eval "$lt_compile" 2>conftest.err)
    1846318303   ac_status=$?
    1846418304   cat conftest.err >&5
    18465    echo "$as_me:18465: \$? = $ac_status" >&5
     18305   echo "$as_me:18305: \$? = $ac_status" >&5
    1846618306   if (exit $ac_status) && test -s "$ac_outfile"; then
    1846718307     # The compiler can only warn and ignore the option if not recognized
     
    1872718567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1872818568   -e 's:$: $lt_compiler_flag:'`
    18729    (eval echo "\"\$as_me:18729: $lt_compile\"" >&5)
     18569   (eval echo "\"\$as_me:18569: $lt_compile\"" >&5)
    1873018570   (eval "$lt_compile" 2>conftest.err)
    1873118571   ac_status=$?
    1873218572   cat conftest.err >&5
    18733    echo "$as_me:18733: \$? = $ac_status" >&5
     18573   echo "$as_me:18573: \$? = $ac_status" >&5
    1873418574   if (exit $ac_status) && test -s "$ac_outfile"; then
    1873518575     # The compiler can only warn and ignore the option if not recognized
     
    1883118671   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1883218672   -e 's:$: $lt_compiler_flag:'`
    18833    (eval echo "\"\$as_me:18833: $lt_compile\"" >&5)
     18673   (eval echo "\"\$as_me:18673: $lt_compile\"" >&5)
    1883418674   (eval "$lt_compile" 2>out/conftest.err)
    1883518675   ac_status=$?
    1883618676   cat out/conftest.err >&5
    18837    echo "$as_me:18837: \$? = $ac_status" >&5
     18677   echo "$as_me:18677: \$? = $ac_status" >&5
    1883818678   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1883918679   then
     
    2794027780echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2794127781coin_link_input_cmd="$LN_S"
    27942 if test "$enable_doscompile" = mingw; then
    27943   coin_link_input_cmd=cp
    27944 fi
    2794527782case "$CC" in
    2794627783  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.